Package org.kapott.hbci.sepa.jaxb.pain_008_001_10

# Class RemittanceLocationData1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_10.RemittanceLocationData1

public class RemittanceLocationData1 extends Object

Java class for RemittanceLocationData1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RemittanceLocationData1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Mtd" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}RemittanceLocationMethod2Code"/>
             <element name="ElctrncAdr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}Max2048Text" minOccurs="0"/>
             <element name="PstlAdr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.10}NameAndAddress16" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`elctrncAdr`
`protected RemittanceLocationMethod2Code`
`mtd`
`protected NameAndAddress16`
`pstlAdr`

## Constructor Summary

Constructors
Constructor
Description
`RemittanceLocationData1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getElctrncAdr()`
Gets the value of the elctrncAdr property.
`RemittanceLocationMethod2Code`
`getMtd()`
Gets the value of the mtd property.
`NameAndAddress16`
`getPstlAdr()`
Gets the value of the pstlAdr property.
`void`
`setElctrncAdr(String value)`
Sets the value of the elctrncAdr property.
`void`
`setMtd(RemittanceLocationMethod2Code value)`
Sets the value of the mtd property.
`void`
`setPstlAdr(NameAndAddress16 value)`
Sets the value of the pstlAdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mtd

protected RemittanceLocationMethod2Code mtd

### elctrncAdr

protected String elctrncAdr

### pstlAdr

protected NameAndAddress16 pstlAdr

## Constructor Details

### RemittanceLocationData1

public RemittanceLocationData1()

## Method Details

### getMtd

public RemittanceLocationMethod2Code getMtd()
Gets the value of the mtd property.

Returns:
  possible object is `RemittanceLocationMethod2Code`

### setMtd

public void setMtd(RemittanceLocationMethod2Code value)
Sets the value of the mtd property.

Parameters:
  `value` - allowed object is `RemittanceLocationMethod2Code`

### getElctrncAdr

public String getElctrncAdr()
Gets the value of the elctrncAdr property.

Returns:
  possible object is `String`

### setElctrncAdr

public void setElctrncAdr(String value)
Sets the value of the elctrncAdr property.

Parameters:
  `value` - allowed object is `String`

### getPstlAdr

public NameAndAddress16 getPstlAdr()
Gets the value of the pstlAdr property.

Returns:
  possible object is `NameAndAddress16`

### setPstlAdr

public void setPstlAdr(NameAndAddress16 value)
Sets the value of the pstlAdr property.

Parameters:
  `value` - allowed object is `NameAndAddress16`